AMSTATUS(8)

NAME
amstatus - display the state of an Amanda run

SYNOPSIS

amstatus [--file amdumpfile] [--[no]detail] [--[no]summary] [--[no]taped] [--[no]stats] [--[no]locale-independent-date-format] [--config] config

DESCRIPTION

Amstatus gives the current state of the Amanda run specified by the config configuration. If there is no active Amanda running, it summarizes the result of the last run. It may also be used to summarize the results of a previous run.

See the amanda(8) man page for more details about Amanda.

OPTIONS

All options may be abbreviated to the shortest non-ambiguous sub-string. If no options are given, everything is displayed.

[--config] config
    Specify the Amanda configuration you want to display the state for.

--file amdumpfile
    Specify an alternate file instead of the amdump or amflush file.

--detail
    Display a detail of each dles.

--summary
    Display a summary of the state of the run.

--taped
    Display each tape used in the summary of the state of the run.

--stats|statistics
    Display statistics about active-time of taper and dumpers.

--locale-independent-date-format
    Output the date in a locale independent format. The format is the same executing: date +'%Y-%m-%d %H:%M:%S %Z'

EXAMPLE

Run the following command in a shell when a backup is running:

    watch amstatus CONF --summary --notaped

EXIT CODE

The exit code of amstatus is the ORed value of:
 0  = success
 1  = error
 4  = a dle failed
 8  = Don't know the status of a dle (RESULT_MISSING in the report)
 16 = tape error or no more tape

SEE ALSO

amanda(8), amcheck(8), amdump(8), amrestore(8), amadmin(8)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHOR

Stefan G. Weichinger <sgw@amanda.org>